using System;

internal sealed class Delegate605 : MulticastDelegate
{
	public extern void Invoke(object object_0, bool bool_0);

	public static void smethod_0(object object_0, bool bool_0, Delegate605 delegate605_1)
	{
		delegate605_1(object_0, bool_0);
	}

	public extern Delegate605(object object_0, IntPtr intptr_0);

	static Delegate605()
	{
		Class10.smethod_13(typeof(Delegate605).TypeHandle);
	}

	internal static Delegate605 delegate605_0;
}
